/*
 * $Id: //devel/tools/main/backstealth/dieA.cpp#1 $
 *
 * written by:	Stephen J. Friedl
 *              Software Consultant
 *              Tustin, California USA
 *              steve@unixwiz.net
 *
 *	This helper function takes a printf-style argument list, formats
 *	the parameters to the standard error stream, appends a newline,
 *	and exits with error status. 
 *
 *	ANSI VERSION
 */

#include "bscommon.h"
#include <stdarg.h>
#include <stdlib.h>
#include "bsdefs.h"

extern "C"
void __cdecl dieA(const char *format, ...)
{
va_list	args;

	va_start(args, format);

	(void) vfprintf(stderr, format, args);

	va_end(args);

	(void) putc('\n', stderr );

	exit(EXIT_FAILURE);
}
