/*
 * $Id: //devel/tools/main/backstealth/bscommon.h#1 $
 *
 * written by:	Stephen J. Friedl
 *              Software Consultant
 *              Tustin, California USA
 *              steve@unixwiz.net
 *
 *	This is the anchor file to be used for precompiled headers
 *	for our backstealth toolkit. It contains just a few headers
 *	(all "system" files) and must be included *first* in all the
 *	programs and library files.
 *
 *	Then, in the makefile, using /YXbscommon.h precompiles all
 *	the fun stuff here for faster builds.
 */

#define WIN32_LEAN_AND_MEAN
#define STRICT

/*------------------------------------------------------------------------
 * We can't ever remember which of UNICODE or _UNICODE we need, so turning
 * on one enables them both.
 */
#if defined(UNICODE) && !defined(_UNICODE)
#  define _UNICODE UNICODE
#endif

#if defined(_UNICODE) && !defined(UNICODE)
#  define UNICODE _UNICODE
#endif


#include <windows.h>
#include <assert.h>
#include <stdio.h>
#include <tchar.h>
#include <stdlib.h>
#include <string.h>
